import { Construct, PolicyDocument } from '@aws-cdk/cdk';
import { TopicRef } from './topic-ref';
export interface TopicPolicyProps {
    /**
     * The set of topics this policy applies to.
     */
    topics: TopicRef[];
}
/**
 * Applies a policy to SNS topics.
 */
export declare class TopicPolicy extends Construct {
    /**
     * The IAM policy document for this policy.
     */
    readonly document: PolicyDocument;
    constructor(parent: Construct, name: string, props: TopicPolicyProps);
}
