import { Construct } from '@aws-cdk/cdk';
import { RuleArn } from './events.generated';
export interface EventRuleRefProps {
    /**
     * The value of the event rule Amazon Resource Name (ARN), such as
     * arn:aws:events:us-east-2:123456789012:rule/example.
     */
    eventRuleArn: RuleArn;
}
export declare abstract class EventRuleRef extends Construct {
    /**
     * Imports a rule by ARN into this stack.
     */
    static import(parent: Construct, name: string, props: EventRuleRefProps): EventRuleRef;
    /**
     * The value of the event rule Amazon Resource Name (ARN), such as
     * arn:aws:events:us-east-2:123456789012:rule/example.
     */
    abstract readonly ruleArn: RuleArn;
    /**
     * Exports this rule resource from this stack and returns an import token.
     */
    export(): EventRuleRefProps;
}
