import { Construct } from '../core/construct';
import { FnCondition } from './fn';
import { Referenceable } from './stack';
export interface ConditionProps {
    expression?: FnCondition;
}
/**
 * Represents a CloudFormation condition, for resources which must be conditionally created and
 * the determination must be made at deploy time.
 */
export declare class Condition extends Referenceable {
    /**
     * The condition statement.
     */
    expression?: FnCondition;
    /**
     * Build a new condition. The condition must be constructed with a condition token,
     * that the condition is based on.
     */
    constructor(parent: Construct, name: string, props?: ConditionProps);
    toCloudFormation(): object;
}
