import { Construct } from '../core/construct';
import { FnFindInMap } from './fn';
import { Referenceable } from './stack';
export interface MappingProps {
    mapping?: {
        [k1: string]: {
            [k2: string]: any;
        };
    };
}
/**
 * Represents a CloudFormation mapping.
 */
export declare class Mapping extends Referenceable {
    private mapping;
    constructor(parent: Construct, name: string, props: MappingProps);
    /**
     * Sets a value in the map based on the two keys.
     */
    setValue(key1: string, key2: string, value: any): void;
    /**
     * @returns A reference to a value in the map based on the two keys.
     */
    findInMap(key1: any, key2: any): FnFindInMap;
    toCloudFormation(): object;
}
